#
# spec file for package dracut-mgrbootstrap
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           dracut-mgrbootstrap
Version:        5.0.1
Release:    230900.1.1.uyuni3
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source: dracut-mgrbootstrap-git-0.f3309ea.tar.gz
Summary:        PXE network boot dracut module
License:        GPL-2.0-only
Group:          System/Packages
BuildArch:      noarch
BuildRequires:  dracut
Requires:       dracut

%description
dracut module for booting PXE images.

%prep
%setup -q -n dracut-mgrbootstrap-git-0.f3309ea

%build

%install
mkdir -p %{buildroot}/usr/lib/dracut/modules.d/50mgrbootstrap
cp -R mgrbootstrap/* %{buildroot}/usr/lib/dracut/modules.d/50mgrbootstrap
chmod 755 %{buildroot}/usr/lib/dracut/modules.d/50mgrbootstrap/*

%files
%defattr(-,root,root,-)
/usr/lib/dracut/modules.d/50mgrbootstrap

%changelog
* Tue Jan 16 2024 jgonzalez@suse.com
- version 5.0.1-1
  * Bump version to 5.0.0
* Wed Sep 28 2022 jgonzalez@suse.com
- version 4.4.1-1
  * Bump version to 4.4.0
* Mon Aug  9 2021 jgonzalez@suse.com
- version 4.3.1-1
- Bump version to 4.3.0
* Fri Sep 18 2020 jgonzalez@suse.com
- version 4.2.1-1
- Update package version to 4.2.0
* Fri Jan 31 2020 jgonzalez@suse.com
- version 4.1.1-1
- detect release package to install in the initrd
* Wed Jan 29 2020 mc@suse.de
- version 0.2-1
- provide dracut files to create bare-metal image for pre registration
  of systems (bsc#1153269)
* Tue Jan 28 2020 Michael Calmer <mc@suse.com>
- new package
